package aliyun_avatar

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/aliyun_avatar"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /aliyun_avatar aliyun_avatar GetAliyunAvatarById
//
// Get aliyun avatar by ID | 通过ID获取AliyunAvatar
//
// Get aliyun avatar by ID | 通过ID获取AliyunAvatar
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: AliyunAvatarInfoResp

func GetAliyunAvatarByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := aliyun_avatar.NewGetAliyunAvatarByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetAliyunAvatarById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
